services:
  bcrypt:
    build: .
    user: 1000:1000 # should be owner of volumes
    networks:
      - proxy
    restart: unless-stopped
    labels:
      - traefik.enable=true
      - traefik.docker.network=proxy
      - traefik.http.routers.bcrypt.entrypoints=http
      - traefik.http.routers.bcrypt.rule=Host(`security.dongho.kim`)
      - traefik.http.middlewares.bcrypt-redirect.redirectscheme.permanent=true
      - traefik.http.middlewares.bcrypt-redirect.redirectscheme.scheme=https
      - traefik.http.routers.bcrypt.middlewares=bcrypt-redirect
      - traefik.http.routers.bcrypt-secure.entrypoints=https
      - traefik.http.routers.bcrypt-secure.rule=Host(`security.dongho.kim`)
      - traefik.http.routers.bcrypt-secure.tls=true
      - traefik.http.routers.bcrypt-secure.tls.certresolver=cloudflare
      - traefik.http.services.bcrypt-secure-service.loadbalancer.server.port=35050
networks:
  proxy:
    external: true
